host: localhost
port: 27017
db: ssb
name: ssb

queries:
- query:
    name: ssb.WRITING-12145.improved
    aggregation: order_lineitem
    pipeline: >-
        [
            {
                "$match": {
                    "order.o_orderdate": {
                        "$gte": ISODate("1992-01-01T00:00:00.000Z"),
                        "$lte": ISODate("1996-01-01T00:00:00Z")
                    },
                    "l_discount": {"$gte": 0.1, "$lte": 0.3},
                    "l_quantity": {"$lte": 25}
                }
            },
            {
                "$group": {
                    "_id": 1,
                    "revenue": {"$sum": {"$multiply": ["$l_extendedprice", "$l_discount"]}}
                }
            }
        ]
